import { RadialBucketCalculator } from "./RadialBucketCalculator";
import { IFastItemColumn$1 } from "igniteui-react-core";
import { Type, Point } from "igniteui-react-core";
import { RadialBase } from "./RadialBase";
import { CategoryLineRasterizer } from "./CategoryLineRasterizer";
import { DependencyProperty } from "igniteui-react-core";
import { TrendLineType } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { PenLineCap } from "igniteui-react-core";
import { DoubleCollection } from "igniteui-react-core";
import { RadialFrame } from "./RadialFrame";
import { SeriesView } from "./SeriesView";
import { Axis } from "./Axis";
import { ScalerParams } from "./ScalerParams";
import { Rect } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { RadialBaseView } from "./RadialBaseView";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { CategoryAngleAxis } from "./CategoryAngleAxis";
import { Clipper } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { RadialTrendLineManager } from "./RadialTrendLineManager";
import { PointCollection } from "igniteui-react-core";
import { RenderSurface } from "./RenderSurface";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class AnchoredRadialBucketCalculator extends RadialBucketCalculator {
    static $t: Type;
    private f;
    constructor(a: AnchoredRadialSeriesView);
    getBucket(a: number): number[];
}
/**
 * @hidden
 */
export declare abstract class AnchoredRadialSeries extends RadialBase {
    static $t: Type;
    protected bp(): SeriesView;
    ji(): void;
    gt(a: any, b: string): any;
    kk(a: SeriesView): void;
    q3: AnchoredRadialSeriesView;
    constructor();
    q4: CategoryLineRasterizer;
    gf(a: Point, b: boolean): number;
    gd(a: Point, b: boolean): number;
    e2(a: Point, b: number, c: Axis, d: ScalerParams, e: number): number;
    fh(a: Point, b: boolean, c: boolean): number;
    nt(a: Point, b: boolean, c: boolean): Point;
    rl: string;
    q9: IFastItemColumn$1<number>;
    private q8;
    q7: TrendLineType;
    r2: Brush;
    r1: Brush;
    static readonly rs: DependencyProperty;
    rh: number;
    r4: PenLineCap;
    r3: DoubleCollection;
    ri: number;
    rj: number;
    ao(a: Axis): AxisRange;
    protected kp(a: any, b: string, c: any, d: any): void;
    protected jo(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    ec(a: Rect, b: Rect, c: SeriesView): boolean;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    protected get_rc(): boolean;
    protected readonly rc: boolean;
    protected re(a: CategoryAngleAxis, b: Rect, c: Rect, d: Rect): number;
    qs(a: RadialFrame, b: RadialBaseView): void;
    private rf;
    private rg;
    private rd;
    q2(a: List$1<number[]>, b: number, c: SeriesView): Clipper;
    protected r5: Point;
    rr(a: PointCollection, b: PointCollection, c: PointCollection, d: PointCollection, e: boolean): void;
    private rb;
    private ra;
    jl(a: boolean, b: SeriesView): void;
    qv(a: RadialFrame, b: RadialBaseView): void;
    protected q1(a: number, b: number, c: Axis): any[];
    protected rp(a: List$1<number[]>, b: number, c: number, d: CategoryAxisBase, e: ScalerParams, f: boolean): void;
    protected rq(a: List$1<number[]>, b: number, c: number, d: CategoryAxisBase, e: ScalerParams, f: boolean): void;
    ro(a: RadialBaseView, b: RadialFrame): void;
    private rn;
    protected lg(): void;
    gw(a: any, b: Point): any;
    dq(a: any): boolean;
    q6: RadialFrame;
    k5(a: Rect, b: RenderSurface): void;
    private q5;
    k2(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    protected jv(a: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class AnchoredRadialSeriesView extends RadialBaseView {
    static $t: Type;
    cw: AnchoredRadialSeries;
    constructor(a: AnchoredRadialSeries);
    cx: RadialTrendLineManager;
    cy(a: Rect, b: Rect, c: Rect, d: Rect): void;
    cz(): void;
    protected a5(a: RenderingContext, b: boolean): void;
    getDefaultTooltipTemplate(): string;
}
